# Job Posting Types Job Posting Types ## Gets all of the job posting types in the system. - [GET /jobPostingTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/listjobpostingtypes.md): This method will scan all job posting types and and return them to the caller. ## Creates a new job posting type record that does not already exist. - [POST /jobPostingTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/createjobpostingtype.md): This method will auto-generate an ID and create a new job posting type. If an ID is specified for the job posting type, an error will be thrown. ## Returns a job posting type from the system by its ID. - [DELETE /jobPostingTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/deletejobpostingtype.md): This method will delete a job posting type with the specified ID. ## Returns a job posting type from the system by its ID. - [GET /jobPostingTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/getjobpostingtype.md): This method will look up a job posting type by the specified ID and return it back. ## Partially updates a job posting type with the specified ID. - [PATCH /jobPostingTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/patchjobpostingtype.md): This method will patch an existing job posting type with the specified ID, using the HTTP PATCH specification. ## Updates a job posting type with the specified ID. - [PUT /jobPostingTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/updatejobpostingtype.md): This method will update an existing job posting type with the specified ID.